<?php
/**
* Class demoModule
*
* demo module class
*
* @copyright	CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author		Astalavista Development Team <thun@astalvista.ch>
* @module		demoModule
* @modulegroup	modules
* @access		public
* @version		1.0.0
*/
class demoModule
{
	/**
	* Template object
	*
	* @access private
	* @var object
	*/
	var $_objTpl;
	
	/**
	* Constructor
	*/
	function demoModule($pageContent)
	{
		$this->__construct($pageContent);
	}
	
	/**
	* PHP5 constructor
	*
	* @global object $objTemplate
	* @global array $_ARRAYLANG
	*/
	function __construct($pageContent)
	{
	    $this->_objTpl = &new HTML_Template_Sigma('.');
		$this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);
		$this->_objTpl->setTemplate($pageContent);
	}
	
	/**
	* Get content page
	*
	* @access public
	*/
	function getPage() 
	{
		return $this->_objTpl->get();
	}
}
?>
