<?php
/**
* Class my Administrator manager 
*
* Class to show the my admin pages 
*
* @copyright   CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author      Astalavista Development Team <thun@astalavista.ch>              
* @module      myAdmin
* @modulegroup core                                                                                     
* @version	   1.0.0
*/

class myAdminManager {
    var $statusMessage;
    var $pageTitle;

    
    function myAdminManager() {
    	$this->__construct();  	
    }
    
    
    /**
    * Constructor
    *
    * @param  string  
    * @access public
    */        
    function __construct() {
    	global $_CORELANG, $objTemplate;
    	
    	$objTemplate->setVariable('CONTENT_NAVIGATION', $_CORELANG['TXT_WELCOME_MESSAGE'].". ".$_CORELANG['TXT_LOGGED_IN_AS'].
    	                            "<a href='?cmd=user&amp;act=edituser&amp;userId=".$_SESSION['auth']['userid']."' title='".$_SESSION['auth']['userid']."'>".$_SESSION['auth']['name']."</a>");
    }
       
    function getPage() {
    	global $_CORELANG, $objTemplate;
    	
		if(!isset($_GET['act'])){
		    $_GET['act']='';	
		}
		
        switch($_GET['act']){	
		    case "test":
			    //$this->deleteLog();
                //$action = $this->showLogs();
			    break;				    			    			    			    			    		    	    
			default:    	
                $this->getHomePage();
			    break;
		}
		
		$objTemplate->setVariable(array(
			'CONTENT_TITLE'	=> $this->pageTitle,
    		'CONTENT_STATUS_MESSAGE'	=> trim($this->statusMessage)
    	));
    }


 
    function getHomePage()
    {
    	global $_CORELANG, $_CONFIG, $objTemplate, $objDatabase;
    	
    	$i = 0;
    	$dbErrorMsg = '';
    	$class = '';
        $this->pageTitle = $_CORELANG['TXT_HOME'];
        $objTemplate->addBlockfile('ADMIN_CONTENT', 'content', 'index_home.html');
    	$objTemplate->setVariable(array(
			'TXT_LOGGED_IN_AS'           => $_CORELANG['TXT_LOGGED_IN_AS'],
			'TXT_HOSTNAME'               => $_CORELANG['TXT_HOSTNAME'],    	    
			'TXT_USERNAME'			     => $_CORELANG['TXT_USERNAME'],
			'TXT_LOGTIME'                => $_CORELANG['TXT_LOGTIME'],
			'TXT_LAST_LOG_SESSIONS'      => $_CORELANG['TXT_LAST_LOG_SESSIONS'],
			'TXT_RELEASE_DATE'           => $_CORELANG['TXT_RELEASE_DATE'],							
			'INDEX_HOME_CMS_NAME'        => $_CONFIG['coreCmsName'],
			'INDEX_HOME_CMS_VERSION'     => $_CONFIG['coreCmsVersion'],	
			'INDEX_HOME_CMS_STATUS'      => $_CONFIG['coreCmsStatus'],																		
			'INDEX_HOME_CMS_CODENAME'    => $_CONFIG['coreCmsCodeName'],
			'INDEX_HOME_CMS_RELEASEDATE' => $_CONFIG['coreCmsReleaseDate'],
			'TXT_NEW_SITE' 				=> $_CORELANG['TXT_NEW_PAGE'],
			'TXT_CONTENT_MANAGER' 		=> $_CORELANG['TXT_CONTENT_MANAGER'],
			'TXT_MEDIA_MANAGER' 		=> $_CORELANG['TXT_MEDIA_MANAGER'],
			'TXT_IMAGE_ADMINISTRATION'	=> $_CORELANG['TXT_IMAGE_ADMINISTRATION'],
			'TXT_NEWS_MAMAGER' 			=> $_CORELANG['TXT_NEWS_MANAGER'],
			'TXT_SITE_PREVIEW'			=> $_CORELANG['TXT_SITE_PREVIEW'],
			'TXT_SKINS' 				=> $_CORELANG['TXT_DESIGN_MANAGEMENT'],
			'TXT_USER_MANAGER' 			=> $_CORELANG['TXT_USER_ADMINISTRATION'],
			'TXT_SERVER_INFO' 			=> $_CORELANG['TXT_SERVER_INFO'],
			'TXT_STATS' 				=> $_CORELANG['TXT_STATS'],
			'TXT_WORKFLOW'				=> $_CORELANG['TXT_WORKFLOW']
		));
		$objTemplate->setGlobalVariable('TXT_LOGOUT', $_CORELANG['TXT_LOGOUT']);
		
		$userId = intval($_SESSION['auth']['userid']);
		
		$objResult = $objDatabase->SelectLimit(
			"SELECT datetime,
					remote_host
			   FROM ".DBPREFIX."log
			  WHERE userid = ".$userId."
			  ORDER BY id DESC", 5);
		
		if ($objResult !== false) {
			while (!$objResult->EOF) {				
				$objTemplate->setVariable(array(
				    'INDEX_HOME_ROWCLASS' 		=> (($i % 2) == 0) ? "row1" : "row2",
				    'INDEX_HOME_USERNAME'	 	=> $_SESSION['auth']['username'],
				    'INDEX_HOME_TIME' 		 	=> $objResult->fields['datetime'],
				    'INDEX_HOME_REMOTE_HOST'	=> $objResult->fields['remote_host']
				));
				$objTemplate->parse('logRow');
				$objResult->MoveNext();
				$i++;
			}
			$objTemplate->parse('content');
		}
    }
}
?>